summaryrefslogtreecommitdiffstats
path: root/hosts/hb0-armhf-rb/etc/pbuilder
diff options
context:
space:
mode:
Diffstat (limited to 'hosts/hb0-armhf-rb/etc/pbuilder')
-rwxr-xr-xhosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup13
-rwxr-xr-xhosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup13
2 files changed, 26 insertions, 0 deletions
diff --git a/hosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup b/hosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
new file mode 100755
index 00000000..36a19bc9
--- /dev/null
+++ b/hosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/B01_cleanup
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ fusermount -u /tmp/buildd
+ rmdir /tmp/buildd
+ mv /tmp/disorderfs /tmp/buildd
+fi
diff --git a/hosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup b/hosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
new file mode 100755
index 00000000..36a19bc9
--- /dev/null
+++ b/hosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ fusermount -u /tmp/buildd
+ rmdir /tmp/buildd
+ mv /tmp/disorderfs /tmp/buildd
+fi